public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libpgf/
Date: Wed,  7 Oct 2020 19:05:40 +0000 (UTC)	[thread overview]
Message-ID: <1602097280.40d291110ed8c416b4520e2abf0f194d5bab91c9.sam@gentoo> (raw)

commit:     40d291110ed8c416b4520e2abf0f194d5bab91c9
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Tue Sep 29 07:36:45 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Oct  7 19:01:20 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40d29111

media-libs/libpgf: bump to 7.19.3

Bug: https://bugs.gentoo.org/745165
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Closes: https://github.com/gentoo/gentoo/pull/17708
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/libpgf/Manifest             |  1 +
 media-libs/libpgf/libpgf-7.19.3.ebuild | 38 ++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/media-libs/libpgf/Manifest b/media-libs/libpgf/Manifest
index 736a10582a9..628d2992e3a 100644
--- a/media-libs/libpgf/Manifest
+++ b/media-libs/libpgf/Manifest
@@ -1 +1,2 @@
 DIST libpgf-6.12.27.tar.bz2 1235651 BLAKE2B d155289398d6291d49a217a97e283d28440e398c330b3bb1006cdb2cf4c31bd7efef5db4cadd9d28812ffe4ef6deb12ab978b8feaac7c9119cff61ee26658628 SHA512 ad06b34d61219a61d06b87e05a26e8639cd7a93211943217832969c03c4dbc81fbbb287fa2d628b7e087b96e78665a3cbc78920c8ff5828dfb2a7748e04fe42a
+DIST libpgf-7.19.3.zip 1303189 BLAKE2B 129ec655241f0a152814b412c1ee5d40fc5b89daef172d1e73985e49f8ffec22ce87c6aa893dbf330b5176370d985ffd0c6a015adfbb9faf72131bc63cf0c94d SHA512 68f9734b51372f7bb39b35cf99425bac6f9cf29f0351dba8813742c41f62f394798c92f674803d1315456a9337c7af03479d43455a9e611c07f5cf47ab3e5b58

diff --git a/media-libs/libpgf/libpgf-7.19.3.ebuild b/media-libs/libpgf/libpgf-7.19.3.ebuild
new file mode 100644
index 00000000000..ed2d6c7e052
--- /dev/null
+++ b/media-libs/libpgf/libpgf-7.19.3.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Library to load, handle and manipulate images in the PGF format"
+HOMEPAGE="https://www.libpgf.org/"
+SRC_URI="https://master.dl.sourceforge.net/project/libpgf/libpgf/${PV}-latest/libPGF-codec-and-console-src.zip -> ${P}.zip"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="doc"
+
+BDEPEND="
+	app-arch/unzip
+	doc? ( app-doc/doxygen )"
+
+S="${WORKDIR}/libPGF-codec-and-console-src/PGF/Codec"
+
+src_prepare() {
+	default
+
+	# configure.ac has wrong version number
+	sed -i 's/7.15.32/7.19.3/g' configure.ac || die
+
+	if ! use doc; then
+		sed -i -e "/HAS_DOXYGEN/{N;N;d}" Makefile.am || die
+	fi
+
+	eautoreconf
+}
+
+src_configure() {
+	econf --disable-static
+}


             reply	other threads:[~2020-10-07 19:05 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-10-07 19:05 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-06  7:42 [gentoo-commits] repo/gentoo:master commit in: media-libs/libpgf/ Viorel Munteanu
2024-05-05  9:33 Sam James
2024-05-05  9:33 Sam James
2022-12-19 19:35 Viorel Munteanu
2022-12-19 18:21 Arthur Zamarin
2022-12-19 18:21 Arthur Zamarin
2022-11-15  5:32 Viorel Munteanu
2022-11-02 16:17 Viorel Munteanu
2021-05-23  9:13 Andreas Sturmlechner
2021-05-22 15:10 Sam James
2021-05-22 15:10 Sam James
2021-04-05 15:08 Sam James
2021-03-27 17:01 Sam James
2021-03-27 17:01 Sam James
2020-10-13 13:11 Joonas Niilola
2020-10-13 10:01 Agostino Sarubbo
2020-10-13  9:26 Agostino Sarubbo
2020-10-07 19:05 Sam James
2019-12-12 17:31 David Seifert
2019-11-17 23:52 Aaron Bauman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1602097280.40d291110ed8c416b4520e2abf0f194d5bab91c9.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox